Sound Setting is missing some Simplified Chinese translations

Bug #876866 reported by Kent Baxley on 2011-10-17
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OEM Priority Project
Medium
Unassigned
Ubuntu Translations
Medium
Unassigned
pulseaudio (Ubuntu)
Undecided
Unassigned

Bug Description

The Sound Settings tool does not appear to be fully translated into Simplified Chinese.

To reproduce:
1) Install Ubuntu 11.10, using Simplified Chinese as the default language. Make sure all language packs for zh_CN are installed.

2) Once installed, open gnome-control-center and and click the Output Tab.

In the Connector Section, note that "Analog Speakers" is not translated. This should also be in Simplified Chinese.
If applicable, also go into the Hardware Tab, select HDMI audio and look at the Profiles...all of the HDMI is still in English.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: gnome-control-center 1:3.2.0-0ubuntu6
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 1.23-0ubuntu3
Architecture: amd64
Date: Tue Oct 18 05:01:17 2011
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-oneiric-amd64-20111014-2
InstallationMedia: Ubuntu 11.10 "Oneiric" - Build amd64 LIVE Binary 20111014-23:13
SourcePackage: gnome-control-center
UpgradeStatus: No upgrade log present (probably fresh install)
usr_lib_gnome-control-center:
 deja-dup 20.0-0ubuntu3
 gnome-bluetooth 3.2.0-0ubuntu2
 indicator-datetime 0.3.0-0ubuntu3

Related branches

Kent Baxley (kentb) wrote :
Changed in gnome-control-center (Ubuntu):
status: New → Confirmed
affects: gnome-control-center (Ubuntu) → language-pack-gnome-zh (Ubuntu)
David Planella (dpm) on 2011-10-20
Changed in ubuntu-translations:
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Ubuntu Simplified Chinese Translators (ubuntu-l10n-zh-cn)
Aron Xu (happyaron) wrote :

Sorry I have no idea to find that string, could anyone point where is it to me?

Thanks.

Kent Baxley (kentb) wrote :

Aron,

Here's how to find it in Ubuntu:

On the desktop, click the speaker icon in the panel and select "Sound Settings". In the sound tool, click the "Output" tab. In the "Connector:" Drop down box is a list of choices. One of them will say "Analog Speakers". If you still can't find it, let me know.

Thanks.

Aron Xu (happyaron) wrote :

Kent,

I know where to find that string in the system, but I need to find which package contained that string so I can go and fix it.

Gabor Kelemen (kelemeng) wrote :

The contents of these dropdowns come from pulseaudio:

https://translations.launchpad.net/ubuntu/oneiric/+source/pulseaudio/+pots/pulseaudio/zh_CN/+translate?batch=10&show=all&search=Analog

But there is no such translatable string.

Checking out lp:ubuntu/pulseaudio and grepping in there shows that the string is there, even translated to many languages, including zh_CN.

So we have to find out why the translations were not imported.

Gabor Kelemen (kelemeng) on 2011-10-20
affects: language-pack-gnome-zh (Ubuntu) → pulseaudio (Ubuntu)
Changed in ubuntu-translations:
assignee: Ubuntu Simplified Chinese Translators (ubuntu-l10n-zh-cn) → nobody
Kent Baxley (kentb) on 2011-11-02
Changed in oem-priority:
importance: Undecided → Medium
Gabor Kelemen (kelemeng) wrote :

The problem here is that the build process of pulseaudio does not create a pot file, which could be imported. The proposed branch fixes this.

Changed in oem-priority:
assignee: nobody → Ubuntu Simplified Chinese Translators (ubuntu-l10n-zh-cn)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:1.1-0ubuntu4

---------------
pulseaudio (1:1.1-0ubuntu4) precise; urgency=low

  [ Daniel T Chen ]
  * Don't load module-raop-discover by default. (LP: #782860)

  [ Gabor Kelemen ]
  * Run dh_translations to generate translation template, add it as build-dep.
    (LP: #876866)
 -- Luke Yelavich <email address hidden> Wed, 14 Dec 2011 10:50:16 +1100

Changed in pulseaudio (Ubuntu):
status: Confirmed → Fix Released
Gabor Kelemen (kelemeng) on 2011-12-15
Changed in ubuntu-translations:
status: Triaged → Fix Released
Changed in oem-priority:
assignee: Ubuntu Simplified Chinese Translators (ubuntu-l10n-zh-cn) → nobody
Changed in oem-priority:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers